Git Lab CI for docker build enabled! You can enable it using .gitlab-ci.yml in your project. Check file template at https://gitlab.bio.di.uminho.pt/snippets/5

Commit 053a06ed authored by Diogo Batista Lima's avatar Diogo Batista Lima
Browse files

Update README-Template.md

parent af82aaeb
......@@ -21,12 +21,15 @@ does not give access to Blueprint's source code, data and tools but it enables a
Open Ubuntu command line and enter:
`ssh dlima@palsson.di.uminho.pt`
Password - blueprint2019
To access Blueprint's source code enter:
`cd blueprint_docker/code`
To try Blueprint's Request system enter the following commands after accessing the Palsson server:
`cd blueprint_docker`
`docker run -v /home/dlima/blueprint_docker//:/home/ -it blueprint_code`
The menu interface allows access to the database and its contents. Enter 0 for a short explanation regarding each option.
#### Download source code, data and tools
......@@ -37,8 +40,9 @@ Universidade do Minho's VPN (to access Blueprint's database hosted in the Palsso
## Prerequisites
So far, the only prerequisites are Neo4j and Python.
To access the database via web browser it is only necessary to have access to the Universidade do Minho's VPN and follow the previous instructions.
To access Blueprint's source code and Request system via SSH access to the Palsson server it is necessary to have access to the Universidade do Minho's VPN
and to a [Ubuntu](https://www.microsoft.com/en-us/p/ubuntu/9nblggh4msv6?activetab=pivot:overviewtab) command line.
To install Python, access the following link:
https://www.python.org/downloads/
......@@ -62,7 +66,7 @@ Visit http://localhost:7474 in your web browser to visualize the database.
* [Python](https://www.python.org/downloads/) - Used programming language
* [Neo4j](https://neo4j.com/) - Database framework
* [neo4j-driver](https://pypi.org/project/neo4j-driver/) - Python driver to interact with database `pip install neo4j-driver`
* [neo4j-driver](https://pypi.org/project/neo4j-driver/) - Python driver to interact with database `pip install neo4j-driver==1.3.1`
## Required Python Packages
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment